## yoyo 7.3.2+dfsg1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = ../.tox/py37-sphinx/bin/sphinx-build
SPHINXPROJ    = yoyo-migrations
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## yoyo 7.2.0+dfsg1

=== debian/changelog ===
yoyo (7.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: conform to DEP-3

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 27 Jul 2020 08:01:10 +0000

yoyo (7.1.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update project location, following upstream migration from bitbucket to
    sourcehut.
  * Disabled APTLY repo from salsa-ci.yml since this package is in the
    archive.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 13 Jul 2020 18:12:57 +0000

yoyo (7.1.0+dfsg1-1) unstable; urgency=medium

  * Initial release; Closes: #958481

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 01 Jun 2020 21:44:58 +0000

=== debian/control ===
Source: yoyo
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               help2man,
               python3-all (>= 3.6),
               python3-pkg-resources,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sqlparse,
               python3-tabulate,
               python3-unidecode
Standards-Version: 4.5.0
X-Python3-Version: >= 3.6
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://hg.sr.ht/~olly/yoyo
Vcs-Git: https://salsa.debian.org/python-team/modules/yoyo.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/yoyo

Package: yoyo
Architecture: all
Section: utils
Depends: python3-pkg-resources, python3-yoyo (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
Description: database schema migration tool
 Yoyo is a database schema migration tool.
 You write database migrations as Python scripts containing raw
 SQL statements or Python functions.
 .
 This package contains the command line tool.

Package: python3-yoyo
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Description: database schema migration library
 Yoyo is a database schema migration tool.
 You write database migrations as Python scripts containing raw
 SQL statements or Python functions.
 .
 This package contains the Python library.

Package: python-yoyo-doc
Architecture: all
Section: doc
Depends: python3-sphinx-rtd-theme, ${misc:Depends}, ${sphinxdoc:Depends}
Description: database schema migration tool (documentation)
 Yoyo is a database schema migration tool.
 You write database migrations as Python scripts containing raw
 SQL statements or Python functions.
 .
 This is the documentation package.

## yoyo 7.3.1+dfsg1

=== debian/changelog ===
yoyo (7.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.3.1+dfsg1
  * d/control: added Suggests for supported backend drivers
  * Set Standard-Version to 4.5.1, no changes needed

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sat, 23 Jan 2021 20:00:16 +0000

yoyo (7.2.1+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Henry-Nicolas Tourneur ]
  * New upstream version 7.2.1+dfsg1
  * d/tests: autopkgtest start postgres without relying on systemd

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 06 Nov 2020 13:59:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: yoyo
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -14,18 +14,19 @@
                python3-sqlparse,
                python3-tabulate,
                python3-unidecode
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 X-Python3-Version: >= 3.6
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://hg.sr.ht/~olly/yoyo
-Vcs-Git: https://salsa.debian.org/python-team/modules/yoyo.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/yoyo
+Vcs-Git: https://salsa.debian.org/python-team/packages/yoyo.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/yoyo
 
 Package: yoyo
 Architecture: all
 Section: utils
 Depends: python3-pkg-resources, python3-yoyo (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
+Suggests: python3-pyodbc, python3-pymysql, python3-psycopg2
 Description: database schema migration tool
  Yoyo is a database schema migration tool.
  You write database migrations as Python scripts containing raw
@@ -36,6 +37,7 @@
 Package: python3-yoyo
 Architecture: all
 Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Suggests: python3-pyodbc, python3-pymysql, python3-psycopg2
 Description: database schema migration library
  Yoyo is a database schema migration tool.
  You write database migrations as Python scripts containing raw

=== debian/tests/control ===
Tests: run-test
Restrictions: allow-stderr needs-root
Depends: postgresql,
         python3-all,
         python3-mock,
         python3-pip,
         python3-pkg-resources,
         python3-psycopg2,
         python3-pytest,
         python3-sqlparse,
         python3-tabulate,
         python3-unidecode,
         @

## yoyo 7.3.2+dfsg1

=== debian/changelog ===
yoyo (7.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian/tests/run-test: Use pg_virtualenv for testing. (Closes: #995794)

 -- Christoph Berg <myon@debian.org>  Wed, 06 Oct 2021 10:37:12 +0200

yoyo (7.3.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.3.2+dfsg1

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 25 Aug 2021 17:01:42 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html

# generate the manpages from the scripts using help2man
execute_before_dh_installman:
	for p in yoyo yoyo-migrate; do \
		PYTHONPATH="$(shell pwd)" help2man -v --help --no-info --name="Database schema migration tool" debian/tmp/usr/bin/"$$p" > debian/"$$p".1;\
     	done

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Tests: run-test
-Restrictions: allow-stderr needs-root
+Restrictions: allow-stderr
 Depends: postgresql,
          python3-all,
          python3-mock,

## yoyo 8.2.0+dfsg1

=== doc/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # Minimal makefile for Sphinx documentation
 #
+export PATH:=$(PATH):../.tox/py310-sphinx/bin/
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = ../.tox/py37-sphinx/bin/sphinx-build
+SPHINXBUILD   = ../.tox/py310-sphinx/bin/sphinx-build
 SPHINXPROJ    = yoyo-migrations
 SOURCEDIR     = .
 BUILDDIR      = _build

=== debian/changelog ===
yoyo (8.2.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * drop usage of python3-mock in Debian packaging

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 19:59:24 +0100

yoyo (8.2.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    - Fix autopkgtest with Python 3.11 (Closes: #1029000).
    - Refresh patch.
    - Add python3-importlib-metadata to build-dependencies.
  * Change invocation of pg_virtualenv so that test database is correctly
    created for autopkgtest.
  * Test all supported versions of the interpreter in autopkgtest.
  * Add psycopg (i.e. psycopg3) to the autopkgtest dependencies.
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Jan 2023 01:05:49 +1100

yoyo (7.3.2+dfsg1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:44:05 +0100

yoyo (7.3.2+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * frozendate.py: Explicitly avoid patching pkg_rosurces. (Closes: #1020570)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Sep 2022 14:35:22 +0200

yoyo (7.3.2+dfsg1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                help2man,
-               python3-all (>= 3.6),
+               python3-all,
+               python3-importlib-metadata,
                python3-pkg-resources,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.programoutput <!nodoc>,
                python3-sqlparse,
                python3-tabulate,
                python3-unidecode
-Standards-Version: 4.5.1
-X-Python3-Version: >= 3.6
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://hg.sr.ht/~olly/yoyo

=== debian/tests/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Restrictions: allow-stderr
 Depends: postgresql,
          python3-all,
-         python3-mock,
+         python3-freezegun,
          python3-pip,
          python3-pkg-resources,
+         python3-psycopg,
          python3-psycopg2,
          python3-pytest,
          python3-sqlparse,

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/yoyo-$1\.tar\.gz/ \
 https://hg.sr.ht/~olly/yoyo/tags /~olly/yoyo/archive/v(\d\S+)-release\.tar\.gz

## yoyo 9.0.0+dfsg1

=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Minimal makefile for Sphinx documentation
 #
-export PATH:=$(PATH):../.tox/py310-sphinx/bin/
+export PATH:=$(PATH):../.tox/py311-sphinx/bin/
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
-SPHINXBUILD   = ../.tox/py310-sphinx/bin/sphinx-build
+SPHINXBUILD   = ../.tox/py311-sphinx/bin/sphinx-build
 SPHINXPROJ    = yoyo-migrations
 SOURCEDIR     = .
 BUILDDIR      = _build

=== debian/changelog ===
yoyo (9.0.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-importlib-metadata
  * Clean generated manpages
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 20:21:22 +0200

yoyo (9.0.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Drop unneeded python3-pkg-resources dependency (Closes: #1083999)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 29 Jan 2025 11:54:03 +0100

yoyo (9.0.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - docs: fix intersphinx_mapping config value (closes: #1090178).

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Dec 2024 15:02:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                help2man,
                python3-all,
-               python3-importlib-metadata,
-               python3-pkg-resources,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
@@ -26,7 +24,7 @@
 Package: yoyo
 Architecture: all
 Section: utils
-Depends: python3-pkg-resources, python3-yoyo (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
+Depends: python3-yoyo (= ${source:Version}), ${misc:Depends}, ${python3:Depends}
 Suggests: python3-pyodbc, python3-pymysql, python3-psycopg2
 Description: database schema migration tool
  Yoyo is a database schema migration tool.
@@ -37,7 +35,7 @@
 
 Package: python3-yoyo
 Architecture: all
-Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python3-pyodbc, python3-pymysql, python3-psycopg2
 Description: database schema migration library
  Yoyo is a database schema migration tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -N -bhtml doc/ build/html

# generate the manpages from the scripts using help2man
execute_before_dh_installman:
	for p in yoyo yoyo-migrate; do \
		PYTHONPATH="$(shell pwd)" help2man -v --help --no-info --name="Database schema migration tool" debian/tmp/usr/bin/"$$p" > debian/"$$p".1;\
	done

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
          python3-all,
          python3-freezegun,
          python3-pip,
-         python3-pkg-resources,
          python3-psycopg,
          python3-psycopg2,
          python3-pytest,
